From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 16 Oct 2007 00:00:30 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600
Subject: [os2genau_digest] No. 1563
Reply-To: <deadmail>
X-List-Unsubscribe: www.os2site.com/list/

**************************************************
Monday 15 October 2007
 Number  1563
**************************************************

Subjects for today
 
1   The NETWKSTA.200 requester driver is not installed. : Michael/Gail Peters" <mandgpeters at bigpond dot com>
2  Re:  The NETWKSTA.200 requester driver is not installed. : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Mon, 15 Oct 2007 22:54:39 +1000
From:  "Michael/Gail Peters" <mandgpeters at bigpond dot com>
Subject:   The NETWKSTA.200 requester driver is not installed.

A cri de coeur....
My eCS 1.1 box with scanner has worked on our home network for years. Recently I started getting errors net3406 and net3411. I figured I had cooked the AT 10/100 3Com network card .If it was an IRQ thing,changing slots didn't help. Re-install was
stopped when the mpts gui kept saying I had open files. ( I don't think so but then I
wouldn't recognise them ). So I decided to install another card, a Netgear FA311 PCI card based on the National Semiconductor DP83815 chipset. I d/l the nicpak and chose the 81815 driver. With the GUI not working I altered the ASCII protocol.ini
and ibmlan.ini and config.sys for drivers and capacity parameters:
protocol.ini: ( Is this case sensitive?)
[PROT_MAN]
   DRIVERNAME = PROTMAN$
[IBMLXCFG]
   netbeui_nif = netbeui.nif
   tcpbeui_nif = tcpbeui.nif
   tcpip_nif = tcpip.nif
   dp83815_nif = dp83815.nif
[NETBIOS]
   DriverName = netbios$
   ADAPTER1 = netbeui$,1
   ADAPTER0 = tcpbeui$,0
[netbeui_nif]
   DriverName = netbeui$
   Bindings = dp83815_nif
   ETHERAND_TYPE = "I"
   USEADDRREV = "YES"
   OS2TRACEMASK = 0x0
   SESSIONS = 96               ( I assume this sessions//ncbs/names stuff comes
   NCBS = 123                       from the card )
   NAMES = 6
   SELECTORS = 50
   USEMAXDATAGRAM = "YES"
   ADAPTRATE = 1000
   WINDOWERRORS = 0
   MAXDATARCV = 4168
   TI = 30000
   T1 = 1000
   T2 = 200
   MAXIN = 1
   MAXOUT = 1
   NETBIOSTIMEOUT = 500
   NETBIOSRETRIES = 3
   NAMECACHE = 1000
   RNDOPTION = 1
   PIGGYBACKACKS = 1
   DATAGRAMPACKETS = 50
   PACKETS = 300
   LOOPPACKETS = 8
   PIPELINE = 5
   MAXTRANSMITS = 6
   MINTRANSMITS = 2
   DLCRETRIES = 10
   FCPRIORITY = 5
   NETFLAGS = 0x0
[tcpbeui_nif]
   DriverName = tcpbeui$
   Bindings = ,dp83815_nif
   NODETYPE = "B-Node"
   OS2TRACEMASK = 0x0
   SESSIONS = 130
   NCBS = 223
   NAMES = 20
   SELECTORS = 15
   USEMAXDATAGRAM = "NO"
   NETBIOSTIMEOUT = 500
   NETBIOSRETRIES = 2
   NAMECACHE = 1000
   PURGECACHE = 0
   PRELOADCACHE = "NO"
   NAMESFILE = 3
   DATAGRAMPACKETS = 20
   PACKETS = 50
   ENABLEDNS = 0
   INTERFACERATE = 300
[tcpip_nif]
   DriverName = TCPIP$
   Bindings = dp83815_nif
[dp83815_nif]
   DriverName = TIGRIS$ 
------------------------------------------------//----------------------------------------
ibmlan.ini (networks only for capacity parameters)
; OS/2 LAN Requester initialization file
[networks]
  net1 = TCPBEUI$,0,LM10,130,223,20
  net2 = NETBEUI$,1,LM10,96,123,6
-----------------------------------------------//-----------------------------------------
Lantran.log:
LT00073: FFST/2 is installed but is not started.  LANTRAN.LOG is being created.
IBM OS/2 LANMSGDD [08/28/02] 6.00 is loaded and operational.
IBM - OS/2 Socket/MPTS Common Transport Semantics
IBM OS/2 NETBEUI 6.00.0
NETBEUI: Using a 32-bit data segment.
IBM OS/2 TCPBEUI 6.00.0
TCPBEUI: Using a 32-bit data segment.
Installing NETWKSTA.200 Version 6.0. IBM LAN Redirector ( May 21, 2002)

NET3406: An error occurred while opening network device driver NET1 = TCPBEUI$.
NET3406: An error occurred while opening network device driver NET2 = NETBEUI$.
IBM OS/2 NETBIOS 4.0
LT00093: An error occurred when the program tried to open network device driver TCPBEUI$.
LT00093: An error occurred when the program tried to open network device driver NETBEUI$.
LT00303: The 802.2 protocol stack and the NetBIOS device drivers are not available. Virtual NetBIOS and Virtual 802.2 support are not available to VDMs.
IBM OS/2 LAN Netbind
IBM - OS/2 Socket/MPTS NetBios Service Driver
TCPBEUI: Logical adapter 1 is bound to TCP/IP interface lan0.
--------------------------------------------------------//-----------------------------------------------------------
net.err:
[C:\]net error /count:1 /reverse
NET2102: The NETWKSTA.200 requester driver is not installed.
---------------------------------------------------------//--------------------------------------------------------
config.sys.
I changed only the net card driver line and it loads ok.
---------------------------------------------------------//--------------------------------------------------------
dp83815.nif
[DP83815]
Type = NDIS
Title = "National Semiconductor DP83815 10/100 MacPhyter3v PCI Adapter"
Version = 1.05
DriverName = TIGRIS$
Xports = NETBEUI, LANDD

[FILE]
Name = DP83815.OS2
Path = IBMCOM\MACS

[SLOT]
display = "Slot Number of the Adapter"
type = decimal
;default = "0"
optional = yes
range = 0-7
help = "SLOT=n, n=0..7, specifies the PCI SLOT index number 
to look for DP83815 adapter. PCI SLOT index starts 0. Default is 0. 
This isn't required unless there are multiple DP83815 adapters."

[TXQUEUE]
display = "Maximum TX queue count"
type = decimal
;default = 3
optional = yes
range = 1-20
help = "TXQUEUE=n, n=1..20, specifies the number of transmits 
which can be queued up by the driver when the TxFIFO is full or 
the adapter is otherwise busy. The default value is 3, which should 
be sufficient for most cases."

[RXQUEUE]
display = "Maximum RX queue count"
type = decimal
;default = 8
optional = yes
range = 2-40
help = "RXQUEUE=n, n=2..40, specifies the number of recieves 
which can be queued up by the driver. The default value is 8."

[MEDIATYPE]
display = "Media Type"
type = string
strlength = 10
default = AUTO
optional = yes
set = AUTO,UTP,UTPFULL,FAST,FASTFULL
help = "MEDIATYPE specifies the media type. 
Default is AUTO, which is convenient for most cases."

[NETADDRESS]
tag = NETADDRESS
display = "Network adapter address"
type = hexstring
Strlength = 12
optional = yes
editable = yes
help = "NETADDRESS allows the user to configure the network address 
of the adapter, rather than using the one in EEProm.  If not specified 
the address on the adapter will be used. 
If specified, the right hand side must be exactly 12 hex ASCII characters 
which will be converted to the network address."
-------------------------------------------------------//-------------------------------------------------

Not being a network guru and not having to touch this area for years I'm at a
loss as to what to do. Any other info required? 

Thanks'

Mike

 
[attachments have been removed]
----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Mon, 15 Oct 2007 23:00:41 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  The NETWKSTA.200 requester driver is not installed.

Michael/Gail Peters wrote:
> A cri de coeur....
> My eCS 1.1 box with scanner has worked on our home network for years. Recently I started getting errors net3406 and net3411. I figured I had cooked the AT 10/100 3Com network card .If it was an IRQ thing,changing slots didn't help. Re-install was
> stopped when the mpts gui kept saying I had open files. ( I don't think so but then I
> wouldn't recognise them ). So I decided to install another card, a Netgear FA311 PCI card based on the National Semiconductor DP83815 chipset. I d/l the nicpak and chose the 81815 driver. With the GUI not working I altered the ASCII protocol.ini
> and ibmlan.ini and config.sys for drivers and capacity parameters:
> protocol.ini: ( Is this case sensitive?)
> [PROT_MAN]
>    DRIVERNAME = PROTMAN$
> [IBMLXCFG]
>    netbeui_nif = netbeui.nif
>    tcpbeui_nif = tcpbeui.nif
>    tcpip_nif = tcpip.nif
>    dp83815_nif = dp83815.nif
> [NETBIOS]
>    DriverName = netbios$
>    ADAPTER1 = netbeui$,1
>    ADAPTER0 = tcpbeui$,0
> [netbeui_nif]
>    DriverName = netbeui$
>    Bindings = dp83815_nif
>    ETHERAND_TYPE = "I"
>    USEADDRREV = "YES"
>    OS2TRACEMASK = 0x0
>    SESSIONS = 96               ( I assume this sessions//ncbs/names stuff comes
>    NCBS = 123                       from the card )
>    NAMES = 6
>    SELECTORS = 50
>    USEMAXDATAGRAM = "YES"
>    ADAPTRATE = 1000
>    WINDOWERRORS = 0
>    MAXDATARCV = 4168
>    TI = 30000
>    T1 = 1000
>    T2 = 200
>    MAXIN = 1
>    MAXOUT = 1
>    NETBIOSTIMEOUT = 500
>    NETBIOSRETRIES = 3
>    NAMECACHE = 1000
>    RNDOPTION = 1
>    PIGGYBACKACKS = 1
>    DATAGRAMPACKETS = 50
>    PACKETS = 300
>    LOOPPACKETS = 8
>    PIPELINE = 5
>    MAXTRANSMITS = 6
>    MINTRANSMITS = 2
>    DLCRETRIES = 10
>    FCPRIORITY = 5
>    NETFLAGS = 0x0
> [tcpbeui_nif]
>    DriverName = tcpbeui$
>    Bindings = ,dp83815_nif
>    NODETYPE = "B-Node"
>    OS2TRACEMASK = 0x0
>    SESSIONS = 130
>    NCBS = 223
>    NAMES = 20
>    SELECTORS = 15
>    USEMAXDATAGRAM = "NO"
>    NETBIOSTIMEOUT = 500
>    NETBIOSRETRIES = 2
>    NAMECACHE = 1000
>    PURGECACHE = 0
>    PRELOADCACHE = "NO"
>    NAMESFILE = 3
>    DATAGRAMPACKETS = 20
>    PACKETS = 50
>    ENABLEDNS = 0
>    INTERFACERATE = 300
> [tcpip_nif]
>    DriverName = TCPIP$
>    Bindings = dp83815_nif
> [dp83815_nif]
>    DriverName = TIGRIS$ 
> ------------------------------------------------//----------------------------------------
> ibmlan.ini (networks only for capacity parameters)
> ; OS/2 LAN Requester initialization file
> [networks]
>   net1 = TCPBEUI$,0,LM10,130,223,20
>   net2 = NETBEUI$,1,LM10,96,123,6
> -----------------------------------------------//-----------------------------------------
> Lantran.log:
> LT00073: FFST/2 is installed but is not started.  LANTRAN.LOG is being created.
> IBM OS/2 LANMSGDD [08/28/02] 6.00 is loaded and operational.
> IBM - OS/2 Socket/MPTS Common Transport Semantics
> IBM OS/2 NETBEUI 6.00.0
> NETBEUI: Using a 32-bit data segment.
> IBM OS/2 TCPBEUI 6.00.0
> TCPBEUI: Using a 32-bit data segment.
> Installing NETWKSTA.200 Version 6.0. IBM LAN Redirector ( May 21, 2002)
>
> NET3406: An error occurred while opening network device driver NET1 = TCPBEUI$.
> NET3406: An error occurred while opening network device driver NET2 = NETBEUI$.
> IBM OS/2 NETBIOS 4.0
> LT00093: An error occurred when the program tried to open network device driver TCPBEUI$.
> LT00093: An error occurred when the program tried to open network device driver NETBEUI$.
> LT00303: The 802.2 protocol stack and the NetBIOS device drivers are not available. Virtual NetBIOS and Virtual 802.2 support are not available to VDMs.
> IBM OS/2 LAN Netbind
> IBM - OS/2 Socket/MPTS NetBios Service Driver
> TCPBEUI: Logical adapter 1 is bound to TCP/IP interface lan0.
> --------------------------------------------------------//-----------------------------------------------------------
> net.err:
> [C:\]net error /count:1 /reverse
> NET2102: The NETWKSTA.200 requester driver is not installed.
> ---------------------------------------------------------//--------------------------------------------------------
> config.sys.
> I changed only the net card driver line and it loads ok.
> ---------------------------------------------------------//--------------------------------------------------------
> dp83815.nif
> [DP83815]
> Type = NDIS
> Title = "National Semiconductor DP83815 10/100 MacPhyter3v PCI Adapter"
> Version = 1.05
> DriverName = TIGRIS$
> Xports = NETBEUI, LANDD
>
> [FILE]
> Name = DP83815.OS2
> Path = IBMCOM\MACS
>
> [SLOT]
> display = "Slot Number of the Adapter"
> type = decimal
> ;default = "0"
> optional = yes
> range = 0-7
> help = "SLOT=n, n=0..7, specifies the PCI SLOT index number 
> to look for DP83815 adapter. PCI SLOT index starts 0. Default is 0. 
> This isn't required unless there are multiple DP83815 adapters."
>
> [TXQUEUE]
> display = "Maximum TX queue count"
> type = decimal
> ;default = 3
> optional = yes
> range = 1-20
> help = "TXQUEUE=n, n=1..20, specifies the number of transmits 
> which can be queued up by the driver when the TxFIFO is full or 
> the adapter is otherwise busy. The default value is 3, which should 
> be sufficient for most cases."
>
> [RXQUEUE]
> display = "Maximum RX queue count"
> type = decimal
> ;default = 8
> optional = yes
> range = 2-40
> help = "RXQUEUE=n, n=2..40, specifies the number of recieves 
> which can be queued up by the driver. The default value is 8."
>
> [MEDIATYPE]
> display = "Media Type"
> type = string
> strlength = 10
> default = AUTO
> optional = yes
> set = AUTO,UTP,UTPFULL,FAST,FASTFULL
> help = "MEDIATYPE specifies the media type. 
> Default is AUTO, which is convenient for most cases."
>
> [NETADDRESS]
> tag = NETADDRESS
> display = "Network adapter address"
> type = hexstring
> Strlength = 12
> optional = yes
> editable = yes
> help = "NETADDRESS allows the user to configure the network address 
> of the adapter, rather than using the one in EEProm.  If not specified 
> the address on the adapter will be used. 
> If specified, the right hand side must be exactly 12 hex ASCII characters 
> which will be converted to the network address."
> -------------------------------------------------------//-------------------------------------------------
>
> Not being a network guru and not having to touch this area for years I'm at a
> loss as to what to do. Any other info required? 
>
> Thanks'
>
> Mike
>   
Hi Mike,

Have you tried running lmsync.exe?

Regards,
Mike
----------------------------------------------------------------------------------
 

